/*
 * Grdc - GTK+/Gnome Remote Desktop Client
 * Copyright (C) 2009 - Vic Lee 
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, 
 * Boston, MA 02111-1307, USA.
 */

#include <gtk/gtk.h>
#include "grdcpublic.h"
#include "grdcfilemanager.h"

void
grdc_file_manager_init (void)
{
    gchar dirname[MAX_PATH_LEN];

    g_snprintf (dirname, MAX_PATH_LEN, "%s/.grdc", g_get_home_dir ());
    g_mkdir_with_parents (dirname, 0700);
}

gint
grdc_file_manager_iterate (GFunc func, gpointer user_data)
{
    gchar dirname[MAX_PATH_LEN];
    gchar filename[MAX_PATH_LEN];
    GDir *dir;
    const gchar *name;
    GrdcFile *grdcfile;
    gint n;

    g_snprintf (dirname, MAX_PATH_LEN, "%s/.grdc", g_get_home_dir ());
    dir = g_dir_open (dirname, 0, NULL);
    if (dir == NULL) return 0;

    n = 0;
    while ((name = g_dir_read_name (dir)) != NULL)
    {
        if (!g_str_has_suffix (name, ".grdc")) continue;
        g_snprintf (filename, MAX_PATH_LEN, "%s/%s", dirname, name);
        grdcfile = grdc_file_load (filename);
        (*func) (grdcfile, user_data);
        grdc_file_free (grdcfile);
        n++;
    }
    return n;
}

